package hello;

import jakarta.jws.WebParam;
import jakarta.jws.WebResult;
import jakarta.jws.WebService;

// Standard Javy: JAX-WS (Java API for XML Web Services, obecnie Jakarta XML Web Services)
@WebService
public class PierwszySerwis {
	
	public String powitaj(String imie) {
		return "Witaj " + imie;
	}
	
	@WebResult(name="wynik")
	public int pomnoz(
			@WebParam(name="liczba1") int x,
			@WebParam(name="liczba2") int y) {
		return x * y;
	}
	
	@WebResult(name="wynik")
	public int podziel(
			@WebParam(name="liczba1") int x,
			@WebParam(name="liczba2") int y) {
		return x / y;
	}
	
}
